html,
body {
	height: 100%;
	width: 100%;
	margin: 0;
	padding: 0;
}

.first {
	/* HACK: adjust nested columns. */
	margin-left: 0;
}

:root {
	color-scheme: light dark;
}

@media (prefers-color-scheme: light) {
	/* NOTE: use default values. */
}

@media (prefers-color-scheme: dark) {
	/* NOTE: use default values. */
}

html,
body {
	/* NOTE: revert colors in skeleton.css (and perhaps inadvertently normalize.css) */
	background-color: revert;
	color: revert;
	/* NOTE: override custom fonts from skeleton.css, use system-specific font(s). */
	font-family: system-ui, sans-serif;
}

body::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 278px;
	background-image: url("/https/joelpurra.com/image/hardwood-01-02.jpg");
	background-position: top center;
	background-repeat: repeat-x;
	z-index: -1;
}

@media (prefers-color-scheme: light) {
	body::before {
		/* NOTE: use default values. */
	}
}

@media (prefers-color-scheme: dark) {
	body::before {
		opacity: 0.5;
	}
}

.debugging-enabled-warning {
	position: absolute;
	top: 0;
	left: 0;
	background-color: #be9d9d;
	color: #700000;
	border: 1px solid #bb1e1e;
	padding: 0.2em;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	letter-spacing: 0;
	margin-top: 1em;
}

h1,
h2 {
	border-bottom: 1px solid rgba(127, 127, 127, 0.5);
	margin-bottom: 0.5em;
}

h4,
h5,
h6 {
	margin-bottom: 0;
}

blockquote {
	background-color: rgba(127, 127, 127, 0.2);
	border-radius: 0.1em;
	border-left: 0.2em solid rgba(127, 127, 127, 0.4);
	display: block;
	margin-left: 1em;
	margin-right: 1em;
	padding-bottom: 0.3em;
	padding-left: 0.75em;
	padding-right: 0.75em;
	padding-top: 0.3em;
}

blockquote.notice {
	/* NOTE: reverting the default blockquote indentation, in particular on the left side, to align with other headings/paragraphs. */
	margin-left: -0.95em;
	margin-right: 0;
}

blockquote *:first-child {
	margin-top: 0;
}

blockquote *:last-child {
	margin-bottom: 0;
}

.too-long-ellipsis {
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
}

.js .display-none-if-js,
.no-js .display-none-if-no-js,
.display-none {
	display: none;
}

ul.compact-list li {
	margin: 0;
}

ul.inline-bullet-list > li {
	display: inline-block;
	white-space: nowrap;
}

ul.inline-bullet-list > li::before {
	content: '・'
}

ul.inline-bullet-list > li:first-of-type::before {
	content: none;
}

a,
a:hover,
a:focus,
a:active {
	color: revert;
}

.button,
.button:hover,
.button:focus,
.button:active {
	background-color: rgba(127, 127, 127, 0.1);
	border-color: rgba(127, 127, 127, 0.4);
	color: revert;
}

/* NOTE: reset the outline for :focus-visible to visualize keyboard focus (but not mouse-focus) */
.button:focus-visible,
button:focus-visible,
input[type="submit"]:focus-visible,
input[type="reset"]:focus-visible,
input[type="button"]:focus-visible {
	outline: revert;
}

/* NOTE: reset the outline for :focus-visible to visualize keyboard focus (but not mouse-focus) */
input[type="email"]:focus-visible,
input[type="number"]:focus-visible,
input[type="search"]:focus-visible,
input[type="text"]:focus-visible,
input[type="tel"]:focus-visible,
input[type="url"]:focus-visible,
input[type="password"]:focus-visible,
textarea:focus-visible,
select:focus-visible {
	outline: revert;
}

kbd {
	background-color: rgba(127, 127, 127, 0.3);
	border-bottom-color: rgba(127, 127, 127, 0.5);
	border-radius: 0.3em;
	border: solid 1px rgba(127, 127, 127, 0.4);
	box-shadow: inset 0 -1px 0 rgba(127, 127, 127, 0.3);
	color: revert;
	display: inline-block;
	padding-bottom: 0.1em;
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.1em;
	vertical-align: middle;
}

code {
	background-color: rgba(127, 127, 127, 0.1);
	border-radius: 3px;
	border: solid 1px rgba(127, 127, 127, 0.4);
	color: revert;
	font-size: 85%;
	margin: 0;
	padding-bottom: 0.3em;
	padding-left: 0.3em;
	padding-right: 0.3em;
	padding-top: 0.3em;
}

code::after,
code::before {
	letter-spacing: -0.2em;
	content: "\00a0";
}

pre code::after,
pre code::before,
a code::after,
a code::before {
	content: none;
}

pre.block-with-overflow-y-scroll {
	background-color: rgba(127, 127, 127, 0.2);
	border-radius: 0.2em;
	padding: 1em;
	overflow-y: scroll;
}

/* NOTE: automatic "external link markers" based on href prefix patterns. */
/* NOTE: exclude "internal external" links to the primary domain. */
a[href^="http"]:not([href^="https://joelpurra.com"]):not(.no-external-link-marker)::after {
	content: "\1F875";
	display: inline-block;
	font-size: 0.8em;
	text-decoration: none;
	vertical-align: super;
}

.top-navigation {
	min-height: 278px;
	background-color: rgba(0, 0, 0, 0.2);
}

.top-navigation a,
.top-navigation a:visited {
	color: #ffffff;
}

.top-navigation a:hover,
.top-navigation a:active {
	color: #eeeeee;
}

.top-navigation .top-navigation-header .page-title a:hover,
.top-navigation .top-navigation-header .page-title a:active {
	color: #ffffff;
}

.top-navigation .top-navigation-header,
.top-navigation .top-navigation-nav {
	color: #ffffff;
}

.top-navigation .top-navigation-header .page-title {
	letter-spacing: .1rem;
	margin-top: 0;
	padding-top: 0.5em;
	line-height: 0.75em;
}

.top-navigation .top-navigation-header .page-title,
.top-navigation .top-navigation-nav {
	padding-left: 10px;
	padding-right: 10px;
}

.top-navigation .top-navigation-header .page-title #header-name {
	white-space: nowrap;
}

.top-navigation .top-navigation-header .page-title #header-separator {
	display: none;
}

@media (min-width: 400px) {
	.top-navigation .top-navigation-header {
		/* font-size: 1.2em; */
	}
}

@media (min-width: 550px) {
	.top-navigation .top-navigation-header {
		font-size: 2em;
	}

	.top-navigation .top-navigation-header .page-title {
		padding-top: 0.25em;
		margin-bottom: 0.3em;
	}

	.top-navigation .top-navigation-header .page-title em {
		font-size: 0.6em;
	}
}

@media (min-width: 750px) {
	.top-navigation .top-navigation-header {
		font-size: 2em;
		padding-top: 0.5em;
	}

	.top-navigation .top-navigation-header .page-title {
		/* margin-top: 0.1em; */
	}
}

@media (min-width: 1000px) {
	.top-navigation .top-navigation-header {
		font-size: 3em;
	}
}

.top-navigation .top-navigation-header .page-title {
	font-size: 1.8em;
	text-shadow: 4px 4px 5px rgba(51, 51, 51, 0.7);
	margin-bottom: 0.3em;
}

.top-navigation .top-navigation-header .page-title a {
	text-decoration: none;
}

.top-navigation .top-navigation-header .page-title em {
	display: block;
	font-size: 0.75em;
	white-space: nowrap;
}

.top-navigation .top-navigation-header a {
	display: block;
	width: 100%;
	height: 100%;
}

.top-navigation .top-navigation-nav ol,
.top-navigation .top-navigation-nav ul {
	margin: 0;
	padding: 0;
}

.top-navigation .top-navigation-nav ol li,
.top-navigation .top-navigation-nav ul li {
	white-space: nowrap;
	padding: 0.1em;
	padding-top: 0;
	padding-bottom: 0;
	margin-bottom: 0;
	font-size: 1.3em;
}

.top-navigation .top-navigation-nav ol li a,
.top-navigation .top-navigation-nav ul li a {
	display: inline-block;
	width: 100%;
	height: 100%;
}

@media (min-width: 550px) {
	.top-navigation .top-navigation-nav {
		margin-left: 0;
	}

	.top-navigation .top-navigation-nav ol {
		margin: 0;
		padding: 0;
	}

	.top-navigation .top-navigation-nav ol li,
	.top-navigation .top-navigation-nav ul li {
		float: left;
		margin-right: 1em;
	}

	.top-navigation .top-navigation-nav ol li:last-of-type,
	.top-navigation .top-navigation-nav ul li:last-of-type {
		margin-right: 0;
	}

	.top-navigation .top-navigation-nav ul li::before {
		content: "\00B7";
		padding-left: 0.3em;
		padding-right: 0.3em;
	}

	.top-navigation .top-navigation-nav ul li:first-of-type::before {
		content: none;
		margin-left: 0;
		margin-right: 0;
	}
}

#content-background {
	padding-left: 0.5em;
	padding-right: 0.5em;
}

article {}

section {}

main {}

aside {
	margin-top: 2em;
}

aside#facts figure img {
	width: 100%;
}

@media (min-width: 550px) {
	aside#facts {
		margin-top: -10em;
	}
}

aside#facts ul {
	padding: 0;
	margin: 0;
}

aside#facts li {
	display: block;
	list-style-type: none;
}

aside#facts .inner-box {
	margin: 0;
	padding: 1em;
	padding-bottom: 0;
}

aside#facts ul.icon-links li span.icon-emoji {
	display: inline-block;
	font-family: sans-serif;
	height: 1em;
	margin-right: 0.5em;
	width: 1em;
}

aside#facts .with-inline-icon::before {
	margin-right: 0.5em;
}

.icon-links img,
img.icon-link {
	vertical-align: middle;
	margin-right: 0.5em;
}

a[href^="https://en.wikipedia.org/"],
.with-inline-icon {
	/* NOTE: keep the icon together with the link, in particular in flowing text. */
	/* NOTE: doesn't work well with "long" inline text links. */
	display: inline-block;
}

a[href^="https://en.wikipedia.org/"]::before,
.with-inline-icon::before {
	background-size: cover;
	content: "";
	display: inline-block;
	height: 1em;
	margin-right: 0.3em;
	vertical-align: middle;
	width: 1em;
}

.with-pdf-icon::before {
	background-image: url("/https/joelpurra.com/image/external/Adobe_PDF_file_icon_32x32.png");
}

.with-linkedin-icon::before {
	background-image: url("/https/joelpurra.com/image/external/linkedin-icon-32x32.png");
}

.with-github-icon::before {
	background-image: url("/https/joelpurra.com/image/external/GitHub-Mark-64px.png");
}

.with-twitter-icon::before {
	background-image: url("/https/joelpurra.com/image/external/twitter-icon-32x32.png");
}

.with-twitch-icon::before {
	background-image: url("/https/joelpurra.com/image/external/twitch-icon-32x32.png");
}

@media (prefers-color-scheme: light) {
	.with-github-icon::before {
		/* NOTE: use default values. */
	}
}

@media (prefers-color-scheme: dark) {
	.with-github-icon::before {
		background-image: url("/https/joelpurra.com/image/external/GitHub-Mark-Light-64px.png");
	}
}

/* NOTE: hardcoded English-only Wikipedia URL matcher. */
a[href^="https://en.wikipedia.org/"]::before,
.with-wikipedia-icon::before {
	/* TODO: use separate (.png) file, like for other icons? */
	background-color: #ffffff;
	border-radius: 0.1em;
	background-image: url("data:image/svg+xml;base64,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");
}

address {
	font-style: normal;
}

details summary {
	font-weight: bold;
	cursor: pointer;
}

table tr th,
table tr td {
	border-bottom-color: rgba(127, 127, 127, 0.5);
}

table.hide-thead thead {
	display: none;
}

table.multiline tr th,
table.multiline tr td {
	vertical-align: top;
}

/* TODO: consider applying heading-style use to all <th scope="rowgroup">...? */
table tr th[scope=rowgroup].rowgroupHeader {
	font-size: 1.3em;
	margin-top: 1.3em;
}

dl dt {
	font-weight: bold;
}

abbr {
	cursor: help;
}

.click-to-zoom {
	cursor: zoom-in;
}

img.qr-code {
	border-radius: 0.5em;
}

button.click-to-copy-inner-text {
	margin: 0.25em;
	padding: 0.25em;
	border: none;
	font-size: 1.1em;
}

footer {}

footer nav {
	opacity: 0.5;
	padding: 0.5em;
	text-align: center;
}

footer:hover nav,
footer:focus-within nav {
	opacity: 1;
}

@media (min-width: 550px) {
	footer nav ul {
		margin: 0;
		padding: 0;
	}

	footer nav ul li {
		list-style-type: none;
		display: inline-block;
	}

	footer nav ul li:last-of-type {
		margin-right: 0;
	}

	footer nav ul li::before {
		content: "\00B7";
		padding-left: 0.3em;
		padding-right: 0.3em;
	}

	footer nav ul li:first-of-type::before {
		content: none;
		margin-left: 0;
		margin-right: 0;
	}
}

.inner-box ul:last-of-type {
	margin: 0;
}

.gradient-highlight {
	background-image: linear-gradient(rgba(242, 229, 215, 0.7), rgba(242, 229, 215, 0));
}

@media (prefers-color-scheme: light) {
	.gradient-highlight {
		/* NOTE: use default values. */
	}
}

@media (prefers-color-scheme: dark) {
	.gradient-highlight {
		/* NOTE: adjusting inly the initial opacity. */
		background-image: linear-gradient(rgba(242, 229, 215, 0.2), rgba(242, 229, 215, 0));
	}
}

.rounded-5px {
	border-radius: 5px;
}

.rounded-10px {
	border-radius: 10px;
}

.rounded-15px {
	border-radius: 15px;
}

#language-selector {
	position: absolute;
	right: 0;
	z-index: 1000;
	padding: 0.5em;
}

#language-selector a {
	display: block;
}

/* Add some icons */

.cv a[href="/https/joelpurra.com/cv/"]::before {
	display: inline-block;
	content: "";
	background-image: url("/https/joelpurra.com/image/external/linkedin-icon-32x32.png");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center center;
	width: 16px;
	height: 16px;
	padding-right: 3px;
	vertical-align: middle;
}

.cv a[href="/https/joelpurra.com/cv/pdf"]::before {
	display: inline-block;
	content: "";
	background-image: url("/https/joelpurra.com/image/external/Adobe_PDF_file_icon_32x32.png");
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center center;
	width: 16px;
	height: 16px;
	padding-right: 3px;
	vertical-align: middle;
}

.cards {
	margin-bottom: 2em;
}

.cards.has-cards {}

.cards.has-no-cards {
	display: none;
}

.cards .cards-header {}

.cards .card-date-range {
	color: darkgrey;
}

.cards .card-detail-paragraph {
	line-height: 1.2;
	margin-top: 1rem;
	margin-left: 1.5rem;
	margin-right: 1.5rem;
	margin-bottom: 1rem;
}

.clients {
	margin-bottom: 2em;
	font-size: 0;
}

.clients.has-clients {}

.clients.has-no-clients {
	display: none;
}

.clients .clients-header {}

.clients .client {
	display: inline-block;
	box-sizing: border-box;
	width: 25%;
	vertical-align: middle;
	text-align: center;
	padding: 1%;
}

.clients .client img {
	max-width: 100%;
	border-radius: 1%;
}

.link-collection .link-group {
	padding: 0.5em;
}

.link-collection .link-group .link h4 {
	margin-bottom: 0;
}

.link-collection .link-group .link .colored-link {
	visibility: hidden;
}

.link-collection .link-group .link:hover .colored-link {
	visibility: visible;
}

.link-collection .link-group:nth-of-type(even) {
	background-color: rgba(127, 127, 127, 0.1);
}

.link-collection .link-group .link ul.tags,
.link ul.tags li.tag {
	margin: 0;
	padding: 0;
}

.link-collection .link-group .link ul.tags li.tag {
	list-style-type: none;
	display: inline;
	font-size: small;
}

.js .link-collection .link-group .link ul.tags li.tag[data-tag] {
	cursor: pointer;
}

.link-collection .link-group .link ul.tags li.tag:not(:first-of-type)::before {
	content: " \22C5  "
}

#tag-control #clear-tag-filter-button {
	background-color: rgba(127, 127, 127, 0.1);
	border-color: rgba(127, 127, 127, 0.4);
	margin: 0.3em;
}

#tag-control #clear-tag-filter-button::before {
	content: "\2717  ";
	color: #ff0000;
}

@media (min-width: 1000px) {
	table.services-rebate tr th {
		white-space: nowrap;
	}
}

table.services-rebate tr th,
table.services-rebate tr td {
	padding-left: 0;
}

table.services-rebate tbody tr td:nth-of-type(1) {
	text-align: right;
}

table.services-rebate tfoot tr th {
	border-bottom: none;
}

table.services-rebate tbody:last-of-type tr:last-of-type th:first-of-type,
table.services-rebate tbody:last-of-type tr:last-of-type td:first-of-type {
	border-bottom-color: rgba(127, 127, 127, 0.5);
}

table.services-rebate tfoot tr th:nth-of-type(3) {
	text-align: right;
}

.project {}

.project .project-metadata {
	margin-top: 0;
	margin-bottom: 0;
	font-weight: bold;
}

.nav-menu-list {
	margin-top: 1em;
}

.nav-menu-list ul {
	padding: 0;
	margin: 0;
}

.nav-menu-list ul li {
	line-height: 1em;
}

@media (min-width: 750px) {
	.nav-menu-list ul li {
		display: inline-block;
		white-space: nowrap;
	}

	.nav-menu-list ul li::before {
		content: '・'
	}

	.nav-menu-list ul li:first-of-type::before {
		content: none;
	}
}

html.page-url-streaming figure {
	margin: 0;
	margin-bottom: 1em;
}

html.page-url-streaming video {
	max-width: 100%;
}

html.page-url-streaming table.streaming-logotype-links tbody tr td {
	text-align: center;
}

html.layout-commit table.commit-changes tbody td:nth-of-type(2),
html.layout-commit table.commit-changes tbody td:nth-of-type(3) {
	text-align: right;
}

.page-url- #log ul {
	padding: 0;
	margin: 0;
}
